.hero {
    margin: 1.25vw 2vw;
    margin-top: 4vw;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.left {
    z-index: 1;
}

.featuredImage {
    width: 10vw;
    height: auto;
    border-radius: 0.5vw;
}

.featuredBackground {
    position: absolute;
    width: 100%;
    height: 100%;
}

.featuredBackgroundImage {
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: blur(0.5vh) brightness(0.7);
}

.featuredGiveaway {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 0.5vw;
    width: 80vw;
    background-color: #2a2a2a;
    border-radius: 2vw;
    box-shadow: inset 0 -0.5vw rgba(0, 0, 0, 0.2), 0 0 1vw rgba(0, 0, 0, 0.15);
    position: relative;
    overflow: hidden;
}

.featuredName {
    font-size: 2vw;
    font-weight: bold;
    font-family: "Puffet", sans-serif;
    color: #fff;
    margin-top: 2vw;
    margin-left: 2.5vw;
}

.featuredCTA {
    font-size: 1.5vw;
    color: #fff;
    margin-left: 2.5vw;
}

.hostDetails {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 1vw;
    margin-top: 1vw;
    margin-left: 2.5vw;
}

.hostText {
    display: flex;
    flex-direction: column;
    gap: 0.1vw;
}

.winners {
    font-size: 1.25vw;
    color: #fff;
}

.hostAvatar {
    width: 3.5vw;
    height: auto;
}

.hostName {
    display: flex;
    flex-direction: row;
    gap: 0.5vw;
    font-size: 1.5vw;
    color: #fff;
    font-weight: 800;
}

.featuredIcon {
    position: relative;
    width: 100%;
    height: 100%;
}

.featuredImage {
    width: 20vw;
    height: auto;
    border-radius: 0.5vw;
    position: absolute;
    bottom: 4vw;
    right: 5vw;
}

.featuredDescription {
    font-size: 1.25vw;
    color: #d2d2d2;
    margin: 0.5vw 2.5vw;
    max-width: 45vw;
    height: 9vh;
    overflow: hidden;
}

.joinButton {
    padding: 0.5vw 1vw;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    margin-left: 2.5vw;
    width: 5vw;
    color: #fff;
    font-size: 1.5vw;
    border-radius: 0.5vw;
    border: none;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
    margin-top: 1vw;
}

.joinButton:hover {
    transform: scale(0.95);
}

.joinButton:active {
    transform: scale(0.9);
}

.countdownWrapper {
    display: flex;
    flex-direction: row;
    gap: 1vw;
    margin-top: 2vw;
    margin-left: 2.5vw;
    background-color: rgba(0, 0, 0, 0.3);
    width: 40vw;
    align-items: center;
    justify-content: center;
    border-radius: 0.5vw;
    font-size: 1.5vw;
}

.countdownTitle {
    font-weight: 800;
    color: #fff;
    font-size: 1.5vw;
    margin-left: 2.5vw;
}

.countdownSegment {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 0.5vw 1vw;
    color: #fff;
}

.countdownNumber {
    background-color: rgba(0, 0, 0, 0.2);
    padding: 0.25vw 1vw;
    border-radius: 0.5vw;
    font-family: "Puffet", sans-serif;
}

.divider {
    color: rgba(255, 255, 255, 0.3);
}

.giveawayWrapper {
    display: flex;
    flex-direction: column;
}

.giveawayParent {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.giveawayItemBackground {
    position: relative;
    width: 105%;
    height: 100%;
}

.giveawayItemImage {
    width: 5vw;
    height: auto;
    border-radius: 0.5vw;
    position: absolute;
    bottom: 7.5vw;
    right: 3vw;
}

.giveawayGrid {
    display: grid;
    width: 90%;
    grid-template-columns: repeat(auto-fit, minmax(35vw, 1fr));
    gap: 1.5vw;
    margin-top: 2vw;
    align-items: stretch;
    padding-bottom: 2vw;
}

.giveawayItem {
    background-color: #2f2f2f;
    border-radius: 0.5vw;
    padding: 1vw;
    width: 35vw;
    overflow: hidden;
    box-shadow: inset 0 -0.365vw rgba(0, 0, 0, 0.2), 0 0 0.208vw rgba(0, 0, 0, 0.15);
}

.giveawayTitle {
    font-size: 1.5vw;
    font-weight: bold;
    color: #fff;
    margin-top: 1vw;
    margin-bottom: 0.5vw;
    font-family: "Puffet", sans-serif;
}

.giveawayHost {
    font-size: 1.25vw;
    font-weight: 700;
}

.giveawayDescription {
    font-size: 1.25vw;
    color: #fff;
    margin-top: 0.5vw;
    height: 12vh;
    overflow: hidden;
    opacity: 0.8;
}

.giveawayWinners {
    font-size: 1.25vw;
    color: #fff;
}

.giveawayButton {
    width: 12vw;
    margin-top: 1.5vw;
}

.subtextWrapper {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.5vw;
    margin-top: 0.5vw;
}

.giveawayIcon {
    font-size: 1.25vw;
    color: rgba(255, 255, 255, 0.4);
}

.giveawayImage {
    height: 10vw;
    background: url("/content/giveaway.png");
    border-radius: 0.5vw;
    background-size: cover;
    background-position: center;
}

.gridTitle {
    font-size: 2vw;
    font-weight: bold;
    color: #fff;
    margin-left: 4.5vw;
    margin-top: 1vw;
    font-family: "Puffet", sans-serif;
}

.gridInstructions {
    font-size: 1.25vw;
    color: #fff;
    margin-left: 4.5vw;
    max-width: 45vw;
}

.separator {
    width: 90%;
    height: 0.25vw;
    background-color: #fff;
    opacity: 0.5;
    margin: 1.5vw auto;
    border-radius: 0.125vw;
}

.giveawayPlanButton {
    width: 12vw;
    margin: 2vw 2.5vw;
}

.giveawayPlanButtonInside {
    height: 2.083vw;
    font-size: 1.563vw;
    font-weight: 700;
}

.giveawayButton {
    position: relative;
    cursor: pointer;
    outline: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    text-decoration: none;
    -webkit-tap-highlight-color: transparent;
    transition: filter 0.25s;
}

.giveawayShadow {
    background: rgba(0, 0, 0, 0.25);
    transform: translateY(0.104vw);
    transition: transform 0.6s cubic-bezier(0.3, 0.7, 0.4, 1);
}

.giveawayEdge,
.giveawayShadow {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 0.260vw;
}

.giveawayEdge {
    filter: brightness(0.7);
}

.giveawayFront {
    color: #000;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 0.260vw;
    border-radius: 0.260vw;
    transform: translateY(-0.208vw);
    transition: transform 0.6s cubic-bezier(0.3, 0.7, 0.4, 1);
}

.giveawayButton:hover {
    filter: brightness(110%);
}

.giveawayButton:hover .giveawayFront {
    transform: translateY(-0.313vw);
    transition: transform 0.25s cubic-bezier(0.3, 0.7, 0.4, 1.5);
}

.giveawayButton:active .giveawayFront {
    transform: translateY(-0.104vw);
    transition: transform 34ms;
}

.giveawayButton:hover .giveawayShadow {
    transform: translateY(0.208vw);
    transition: transform 0.25s cubic-bezier(0.3, 0.7, 0.4, 1.5);
}

.giveawayButton:active .giveawayShadow {
    transform: translateY(0.052vw);
    transition: transform 34ms;
}

.giveawayContainerHeader {
    border-radius: 0.365vw;
    box-sizing: border-box;
    position: absolute;
    top: 6.5vw;
    left: 6.5vw;
    height: 2.344vw;
    background-color: #3f3f3f;
    padding: 0.208vw 0.208vw 0.417vw;
    z-index: 2;
}

.giveawayContainerHeaderInside {
    height: 100%;
    width: 100%;
    box-sizing: border-box;
    background: #3f3f3f;
    padding: 0 0.781vw;
    border-radius: 0.260vw;
    font-family: Puffet, sans-serif;
    color: #fff;
    font-size: 1.354vw;
    display: flex;
    justify-content: center;
    align-items: center;
}

.noGiveawaysMessage {
    font-size: 1.5vw;
    color: #fff;
    margin-top: -2vw;
    font-weight: 700;
}

.view_giveawayDetailsText {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    color: #fff;
    margin: 1vw 0;
}

.view_giveawayDetailsTitle {
    font-size: 2vw;
    font-weight: bold;
    font-family: "Puffet", sans-serif;
}

.view_giveawayDetailsWinners {
    font-size: 1.5vw;
    font-weight: normal;
}

.view_giveawayInformationLeftContainer {
    background-color: #2f2f2f;
    border-radius: 0.25vw;
    width: 20vw;
    padding: 0.781vw 0.781vw 0.521vw;
    box-sizing: border-box;
    box-shadow: inset 0 -0.365vw rgba(0, 0, 0, 0.2), 0 0 0.208vw rgba(0, 0, 0, 0.15);
    display: flex;
    flex-direction: column;
    color: white;
    margin: 1.5vw 1.5vw;
}

.view_giveawayInformationImage {
    margin: auto;
    width: 36.7vh;
    height: 10.5vh;
    object-fit: cover;
}

.view_giveawayInformationIcon {
    position: absolute;
    top: 0.5vw;
    right: 0.5vw;
    width: 4vw;
    height: auto;
}

.view_giveawayInformationDescription {
    font-size: 1vw;
    margin: 1vw 0;
}

.view_giveawayInformationHost {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 20vw;
    height: 4vw;
    margin-left: 1.5vw;
    background-color: #2f2f2f;
    box-shadow: inset 0 -0.365vw rgba(0, 0, 0, 0.2), 0 0 0.208vw rgba(0, 0, 0, 0.15);
    border-radius: 0.25vw;
    cursor: pointer;
    transition: background-color 0.3s ease;
    padding: 0 1vw;
    box-sizing: border-box;
    color: #fff;
    font-size: 1vw;
}

.view_giveawayInformationHost:hover {
    background-color: #3f3f3f;
}

.view_giveawayInformationHostDetails {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    margin-left: 1.5vw;
    margin-bottom: 0.5vw;
}

.view_giveawayInformationSubContainer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-bottom: 0.5vw;
    width: 100%;
}

.view_giveawayInformationRegistered {
    font-size: 0.9vw;
    color: #ff0000;
    opacity: 0.6;
    font-weight: 800;
}

.view_giveawayHostAvatar {
    width: 2.75vw;
    height: auto;
    margin-bottom: 0.5vw;
}

.view_giveawayHostUsername {
    font-size: 1.2vw;
    font-weight: 600;
}

.view_giveawayHostRole {
    font-size: 0.9vw;
    color: #fff;
    opacity: 0.6;
}

.view_giveawayCreated {
    font-size: 0.9vw;
    color: #fff;
    filter: opacity(0.5);
}

.view_eligibilityIndicator {
    font-size: 0.8vw;
    color: #fff;
    background-color: #294b2985;
    text-align: center;
    font-weight: 800;
    margin-bottom: 0.5vw;
    padding: 0.25vw 0.5vw;
    border: 3px solid #3a6e3a;
    border-radius: 0.9vw;
    width: 3vw;
    position: absolute;
    top: 0.5vw;
    left: 0.5vw;
}

.view_giveawayInformationTop {
    position: relative;
    overflow: hidden;
}

.view_countdownWrapper {
    position: absolute;
    display: flex;
    flex-direction: row;
    gap: 0.5vw;
    bottom: 0.5vw;
    left: 0.5vw;
    background-color: rgba(0, 0, 0, 0.3);
    width: 70%;
    align-items: center;
    justify-content: center;
    border-radius: 0.25vw;
    font-size: 0.5vw;
}

.view_countdownSegment {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 0.25vw 0.25vw;
    color: #f0f0f0;
}

.view_countdownNumber {
    background-color: rgba(0, 0, 0, 0.2);
    padding: 0.25vw 0.5vw;
    border-radius: 0.25vw;
    font-size: 0.7vw;
    font-family: "Puffet", sans-serif;
}

.view_divider {
    color: rgba(255, 255, 255, 0.3);
}

.view_participantHeader {
    position: sticky;
    top: 0;
    z-index: 10;
    padding-top: 0.5vw;
    background: #2f2f2f;
    /* backdrop-filter: blur(8px); */
    width: 80%;
    margin-left: 1vw;
    border-radius: 0.5vw 0.5vw 0 0;
}

.view_giveawayParticipantsContainer {
    position: absolute;
    left: 28vw;
    top: 7vw;
    width: 80%;
    height: calc(100vh - 7.2vw);
    overflow-y: auto;
    overflow-x: hidden;
}

.view_giveawayParticipantsContainer::-webkit-scrollbar {
    display: none;
}

.view_giveawayParticipantsWrapper {
    display: flex;
    flex-direction: column;
    gap: 1vw;
}

.view_separator {
    width: 100%;
    height: 0.25vw;
    background-color: #fff;
    margin: 0.5vw 0;
    border-radius: 0.125vw;
    opacity: 0.5;
}

.view_giveawayRegistered {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-left: 1vw;
    color: #fff;
    font-size: 1.25vw;
    font-weight: 600;
    gap: 0.75vw;
}

.view_giveawayInformationParticipant {
    display: flex;
    flex-direction: row;
    align-items: center;
    height: 4vw;
    width: 100%;
    background-color: #2f2f2f;
    box-shadow: inset 0 -0.365vw rgba(0, 0, 0, 0.2), 0 0 0.208vw rgba(0, 0, 0, 0.15);
    border-radius: 0.25vw;
    cursor: pointer;
    transition: background-color 0.3s ease;
    padding: 0 1vw;
    box-sizing: border-box;
    color: #fff;
    font-size: 1vw;
}

.view_giveawayInformationParticipant:hover {
    background-color: #3f3f3f;
}

.view_giveawayButton {
    position: relative;
    cursor: pointer;
    outline: none;
    user-select: none;
    text-decoration: none;
    -webkit-tap-highlight-color: transparent;
    transition: filter 0.25s;
}

.view_giveawayShadow {
    background: rgba(0, 0, 0, 0.25);
    transform: translateY(0.104vw);
    transition: transform 0.6s cubic-bezier(0.3, 0.7, 0.4, 1);
}

.view_giveawayEdge,
.view_giveawayShadow {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 0.260vw;
}

.view_giveawayEdge {
    filter: brightness(0.7);
}

.view_giveawayFront {
    color: #fff;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 0.260vw;
    font-size: 1.5vw;
    font-family: 'Puffet', sans-serif;
    border-radius: 0.260vw;
    transform: translateY(-0.208vw);
    transition: transform 0.6s cubic-bezier(0.3, 0.7, 0.4, 1);
}

.view_giveawayButton:hover {
    filter: brightness(110%);
}

.view_giveawayButton:hover .view_giveawayFront {
    transform: translateY(-0.313vw);
}

.view_giveawayButton:active .view_giveawayFront {
    transform: translateY(-0.104vw);
}

.view_giveawayButton:hover .view_giveawayShadow {
    transform: translateY(0.208vw);
}

.view_giveawayButton:active .view_giveawayShadow {
    transform: translateY(0.052vw);
}

.view_minorDetails {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 95%;
}

.create_container {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 1vw;
    top: 4vw;
}